{%- set theme_config = attribute(config.themes, config.system.pages.theme) -%}
{%- block stylesheets -%}
    {% do assets.addCss('theme://css/template.css', 50) %}
{%- endblock -%}
{%- block javascripts -%}
    {% do assets.addJs('theme://js/template.js', {'priority': 50, 'group': 'bottom'}) %}
{%- endblock -%}

{%- set modules = page.collection({'items':{'@self.modular': page.slug}}) -%}

<!doctype html>
<html lang="{{ grav.language.getActive ?: theme_config.default_lang }}">
<head>
    {% block head %}
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <link rel="shortcut icon" href="{{ url('theme://images/favicon.ico') }}" type="image/x-icon">
        <link rel="icon" href="{{ url('theme://images/favicon.ico') }}" type="image/x-icon">
        <link rel="apple-touch-icon" href="{{ url('theme://images/icon.png') }}">
        {% include 'partials/metadata.html.twig' %}
        <title>{% if header.title %}{{ header.title|e('html') }} - Rover communauté exploration urbaine {% else %}{{ site.title|e('html') }}{% endif %}</title>
        {% block head_assets %}
            {{- assets.css('head') -}}
            {{- assets.js('head') -}}
        {% endblock %}
    {% endblock %}
</head>

<body{{ page.header.body_classes ? ' class="' ~ page.header.body_classes ~ '"' }} class="body">
    {% block header %}
        {%- include 'partials/navigation.html.twig' -%}
    {% endblock %}

    {% block body %}
        {% block messages %}
            {% include 'partials/messages.html.twig' ignore missing %}
        {% endblock %}
        {% block content %}{% endblock %}
    {% endblock %}

    {% block footer %}
        {% include 'partials/footer.html.twig' ignore missing %}
    {% endblock %}

    {% block bottom %}
        {{- assets.js('bottom') -}}
    {% endblock %}
</body>
</html>
